.wpb-product-archive { padding: 12px 0 32px; background-color: #fff; 

    .wpb-product-archive__header { margin-bottom: 1.6rem;
        img {display: none;}
    }

    .wpb-product-archive__body { display: grid; grid-template-columns: minmax(0, 1fr); gap: 2.2rem; }

    .wpb-subcategories { display: none; border-bottom: 1px solid var(--clr-border); padding-bottom: 2.2rem;
        .wpb-subcategories__ancestors { display: flex; flex-direction: column; row-gap: .8rem; margin-bottom: 1rem; 
            .wpb-ancestor { font-size: 1.4rem; line-height: 1; display: flex; align-items: center; color: var(--clr-headings); text-decoration: none;
                i { --color: var(--clr-headings); --width: 1.2rem; --height: 1.2rem; vertical-align: middle; }
                &:hover { text-decoration: underline; }
            }
            
        }
        .wpb-subcategories__current-category {font-size: 1.6rem; font-weight: 700; display: inline-block; color: var(--clr-headings); text-decoration: none; margin-bottom: .8rem;}
        .wpb-subcategories__terms {display: flex; flex-direction: column; row-gap: 1.2rem; border-left: 2px solid var(--clr-border); padding-left: 1.5rem; 
            a {text-decoration: none; font-size: 1.4rem; line-height: 1;
                &.current { font-weight: 700; color: var(--clr-blue); }
                &:hover { text-decoration: underline; }
            }
        }
    }

    .wpb-product-archive__toolbar { margin-bottom: 1.8rem; display: flex; flex-direction: row; justify-content: space-between; align-items: center; gap: 1.6rem; 
        .wpb-result-count { font-weight: 500; color: var(--clr-headings); display: none; }
        .wpb-woocommerce-filter-toggle { display: flex; width: 100%; justify-content: center; }

        .form-select { --border-radius: .6rem; --padding: 0 1.4rem; border: 1px solid var(--clr-border); min-width: 16rem;}
        
        .form-wrapper { display: flex; align-items: center; column-gap: .8rem; grid-row: 3;  justify-content: flex-end; 
            span { font-size: 1.4rem; font-weight: 500; white-space: nowrap; }
        }
    }

    @media(min-width: 768px) { 
        padding: 3.2rem 0 6.4rem;
    }

    @media (min-width: 992px) {
        .wpb-product-archive__header {
            h1 { margin-top: 0!important; }
            .woocommerce-breadcrumb { display: none; }
        }

        .wpb-product-archive__toolbar { justify-content: start; margin-bottom: 2.4rem;
            .form-wrapper {grid-row: 2;}
            .wpb-result-count {display: inline-block;}
            .wpb-woocommerce-filter-toggle { order: -1; width: auto; }
            .form-select { --padding: 0 1.6rem 0 1.4rem; }
        }

        &.wpb-product-archive--sidebar {
            .wpb-product-archive__body { gap: 2.8rem; grid-template-columns: minmax(0, 26rem) minmax(0, 1fr); }
        
            .wpb-offcanvas.wpb-offcanvas--filters { --p: 0; position: static; display: block!important; opacity: 1; z-index: inherit;
                .wpb-offcanvas__header, .wpb-offcanvas__footer { display: none; }  
            }
    
            .wpb-product-archive__toolbar {
                .wpb-woocommerce-filter-toggle { display: none; }
            }

            .wpb-subcategories { display: block; }
        }
    }
    
    @media (min-width: 1200px) {
        &.wpb-product-archive--sidebar {
            .wpb-product-archive__body { gap: 5.4rem; grid-template-columns: minmax(0, 32rem) minmax(0, 1fr); }
        }
    }
}

.wpb-product-archive__product-loop { container-name: productLoop; container-type: inline-size;
    .wpb-product-archive__products { list-style: none; --gc: 2; list-style: none; display: grid; grid-template-columns: repeat(var(--gc), minmax(0, 1fr)); column-gap: .9rem; row-gap: 1.4rem; }
   
    @media (max-width: 575.98px) {
        margin-inline: -1.8rem;
        .wpb-product-archive__products { gap: 0;
            .wpb-card.wpb-card--product { border-radius: 0; border: none; border-top: .1rem solid var(--clr-border);
                &:nth-child(2n) { border-left: .1rem solid var(--clr-border); }
            }
        }
    }

    @container productLoop (width > 992px) { 
        .wpb-product-archive__products { --gc: 3; }
    }

    @container productLoop (width > 1200px) { 
        .wpb-product-archive__products { --gc: 3; }
    }

    @container productLoop (width > 1400px) { 
        .wpb-product-archive__products { --gc: 4; }
    }
}